.details__container {
  padding-top: clamp(70px, 10vw, 120px);
  padding-bottom: clamp(70px, 10vw, 120px);
}
.details__cards {
  display: -ms-grid;
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(270px, 1fr));
  gap: clamp(15px, 3.5vw, 25px);
}
.details__card {
  padding: clamp(20px, 4vw, 32px);
  border-radius: 20px;
  border: 1px solid var(--super-light-gray);
  background: var(--white);
  -webkit-box-shadow: 2px 3px 10px 0 rgba(0, 0, 0, 0.05);
          box-shadow: 2px 3px 10px 0 rgba(0, 0, 0, 0.05);
}
.details__card-icon {
  margin-bottom: clamp(15px, 3vw, 25px);
  width: clamp(40px, 7vw, 56px);
  height: clamp(40px, 7vw, 56px);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  border-radius: 6px;
  background: rgba(239, 127, 26, 0.2);
}
.details__card-icon svg {
  width: clamp(20px, 4vw, 28px);
}
.details__card-key {
  display: block;
  font-size: clamp(12px, 2.5vw, 14px);
  font-weight: 700;
  line-height: 1;
  letter-spacing: 0.1em;
  text-transform: uppercase;
  color: var(--dark-gray);
}
.details__card-value {
  margin-top: clamp(5px, 2vw, 10px);
  display: block;
  font-weight: 700;
  line-height: 1.2;
}
.details__wrapper {
  margin-top: clamp(30px, 7vw, 60px);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-align: stretch;
      -ms-flex-align: stretch;
          align-items: stretch;
  gap: 20px;
}
.details__block {
  padding: clamp(20px, 5.5vw, 32px);
  width: 100%;
  max-width: 600px;
  border-radius: 20px;
  border: 1px solid var(--light-gray);
  background: var(--light-bg);
  -webkit-box-shadow: 2px 3px 10px 0 rgba(0, 0, 0, 0.05);
          box-shadow: 2px 3px 10px 0 rgba(0, 0, 0, 0.05);
}
.details__items {
  margin-top: clamp(20px, 4vw, 25px);
}
.details__item {
  margin-bottom: clamp(10px, 3vw, 16px);
  padding-bottom: clamp(10px, 3vw, 16px);
}
.details__item:not(:last-child) {
  border-bottom: 1px solid var(--light-gray);
}
.details__item-key {
  margin-bottom: clamp(5px, 1.6vw, 8px);
  display: block;
  font-size: clamp(12px, 2.5vw, 14px);
  font-weight: 700;
  line-height: 1;
  letter-spacing: 0.1em;
  text-transform: uppercase;
  color: var(--dark-gray);
}
.details__item-value {
  display: block;
  font-size: clamp(14px, 2.5vw, 18px);
  line-height: 1.1;
}
.details__btns {
  width: 100%;
  max-width: 300px;
  margin-top: clamp(20px, 4vw, 25px);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  gap: clamp(10px, 3vw, 15px);
}
.details__btns .btn {
  width: 100%;
  -webkit-box-flex: 1;
      -ms-flex: 1;
          flex: 1;
}
.details__btns .btn svg {
  width: 16px !important;
  -ms-flex-negative: 0;
      flex-shrink: 0;
}
.details__map {
  width: 100%;
  max-width: 760px;
  border-radius: 20px;
  border: 1px solid var(--light-gray);
  -webkit-box-shadow: 2px 3px 10px 0 rgba(0, 0, 0, 0.05);
          box-shadow: 2px 3px 10px 0 rgba(0, 0, 0, 0.05);
  overflow: hidden;
}
.details__map div {
  width: 100%;
  height: 100%;
}
.details__map div iframe {
  height: 100%;
  border: none;
  outline: none;
}

@media (max-width: 767px) {
  .details__wrapper {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
  }
  .details__block {
    max-width: 100%;
  }
  .details__map {
    max-width: 100%;
    aspect-ratio: 16/9;
  }
}
@media (min-width: 1024px) {
  .details__card a:hover {
    color: var(--orange);
  }
}